Meshy V7 Multi Image to 3D
Integracja
meshy/v7/multi-image-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v7/multi-image-to-3d?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/meshy/v7/multi-image-to-3d?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/meshy/v7/multi-image-to-3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "meshy/v7/multi-image-to-3d",
"input": {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
Wywołaj model Meshy V7 Multi Image to 3D (meshy/v7/multi-image-to-3d) za pośrednictwem Doitong API. Dokumentacja dla agentów: https://doitong.com/pl/developers/models/meshy/v7/multi-image-to-3d.md
POST https://api.doitong.com/v1/run/meshy/v7/multi-image-to-3d?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
Jeśli status odpowiedzi to "queued" lub "running", odpytuj GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20, aż status zmieni się na "succeeded"; pliki znajdują się w outputs[].url. POST https://api.doitong.com/v1/quote/meshy/v7/multi-image-to-3d z tym samym ciałem zwraca dokładną cenę przed uruchomieniem.
Pliki takie jak przykład: 1,20 $ 1200 kredytów API Twoje pliki są mierzone przed uruchomieniem Uruchom na tej stronie
Twój nowy klucz API. Jest wyświetlany tylko teraz i znajduje się już w kodzie oraz w polu klucza API poniżej. Zachowaj go w tajemnicy: nigdy nie umieszczaj go w kodzie uruchamianym w przeglądarce.
Tutaj pojawi się pierwszy wynik
Zbuduj poniżej żądanie i uruchom je za pomocą klucza API. Wyniki są kopiowane do naszej przestrzeni dyskowej i przechowywane bezterminowo lub 7 dni bezpłatnie.
Zbuduj żądanie
Elementy sterujące są generowane ze schematu modelu. Kod i cena aktualizują się podczas ich zmiany.
/run/meshy/v7/multi-image-to-3d?wait=20
wycena → 1,20 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v7/multi-image-to-3d?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/meshy/v7/multi-image-to-3d?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/meshy/v7/multi-image-to-3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "meshy/v7/multi-image-to-3d",
"input": {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
Uruchom to żądanie
Klucz pozostaje w tej przeglądarce: jest wysyłany tylko do Doitong API i zapisywany (localStorage) tylko po zaznaczeniu opcji Zapamiętaj. Uzyskaj klucz API
Informacje o Meshy V7 Multi Image to 3D
Rekonstruuje pojedynczy obiekt z `image_urls`, które przyjmuje od jednego do czterech zdjęć obiektu z różnych kątów. Ustaw `topology` na quad lub triangle oraz `target_polycount` od 100 do 300000, a następnie wybierz standard lub 2k dla `geometry_resolution`. Teksturowanie jest opcjonalne za pomocą `should_texture`; dostępne są mapy PBR, tryb pozy, rigowanie i animacja. Wyniki obejmują GLB i inne formaty.
Parametry
Wyślij nazwę kanoniczną albo natywną, nie obie. Nazwy kanoniczne
image_urlswymagane
images
topologyopcjonalne
target_polycountopcjonalne
symmetry_modeopcjonalne
should_remeshopcjonalne
should_textureopcjonalne
enable_pbropcjonalne
is_a_t_poseopcjonalne
pose_modeopcjonalne
texture_promptopcjonalne
texture_image_urlopcjonalne
enable_riggingopcjonalne
rigging_height_metersopcjonalne
enable_animationopcjonalne
animation_action_idopcjonalne
enable_safety_checkeropcjonalne
geometry_resolutionopcjonalne
Parametry plików przyjmują publiczny URL https://, identyfikator URI data: do 10 MB albo file_url przesłanego pliku. Pliki
Wynik
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "meshy/v7/multi-image-to-3d",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1200,
"usd": "1.20",
"charged": 1200,
"refunded": 0
},
"input": {
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"animation_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"animation_fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"model_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"thumbnail": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"model_urls": {
"glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"obj": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"usdz": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"blend": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"stl": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"texture_urls": [
{
"base_color": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"metallic": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"normal": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"roughness": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
}
],
"seed": 42,
"rigged_character_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"rigged_character_fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"basic_animations": {
"walking_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"walking_fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"walking_armature_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"running_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"running_fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"running_armature_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"rig_task_id": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Pola wyniku
- animation_glb
- object {url, content_type, file_name, file_size} | nullWynik animacji zawierający model 3D jako GLB; odpowiedź pomija ten wynik, jeśli enable_animation nie ma wartości true.
- animation_fbx
- object {url, content_type, file_name, file_size} | nullWynik animacji zawierający model 3D jako FBX; odpowiedź pomija ten wynik, jeśli enable_animation nie ma wartości true.
- model_glb
- object {url, content_type, file_name, file_size}Plik GLB zawierający wygenerowany obiekt 3D.
- thumbnail
- object {url, content_type, file_name, file_size} | nullMiniatura przedstawiająca podgląd wygenerowanego modelu.
- model_urls
- object {glb, fbx, obj, usdz, blend, stl}Odnośniki do modelu 3D w różnych formatach.
- texture_urls
- array of object {base_color, metallic, normal, roughness}Pliki tekstur przedstawione jako tablica obiektów.
- seed
- integer | nullSeed generowania, jeśli jest dostępny.
- rigged_character_glb
- object {url, content_type, file_name, file_size} | nullWynik rigowania dostarczony jako plik postaci GLB; nieobecny w odpowiedzi, jeśli enable_rigging nie ma wartości true.
- rigged_character_fbx
- object {url, content_type, file_name, file_size} | nullWynik rigowania dostarczony jako plik postaci FBX; nieobecny w odpowiedzi, jeśli enable_rigging nie ma wartości true.
- basic_animations
- object {walking_glb, walking_fbx, walking_armature_glb, running_glb, running_fbx, running_armature_glb} | nullPodstawowe animacje chodzenia i biegu, dołączane tylko, gdy enable_rigging ma wartość true.
- rig_task_id
- string | nullIdentyfikator zadania rigowania; dołączany tylko, gdy enable_rigging ma wartość true.
Inne warianty Meshy v7
Więcej modeli: Obraz na 3D
Dla agentów AI: ta strona w formacie Markdown jest dostępna pod adresem https://doitong.com/pl/developers/models/meshy/v7/multi-image-to-3d.md. Wszystkie modele i przewodniki: https://doitong.com/developers/llms.txt